# TODO:
# - Package icu-sword and add bcond for it here
#
# Conditional build:
#%bcond_with	icusword
%bcond_without	clucene
%bcond_without	curl
%bcond_without	icu
%bcond_without	utilities

%define debug_package 0

Summary:	The SWORD Project framework for manipulating Bible texts
Name:		sword
Version:	1.6.2
Release:	7
License:	GPL
Group:		Libraries
Source0:	http://www.crosswire.org/ftpmirror/pub/sword/source/v1.6/%{name}-%{version}.tar.gz
# Source0-md5:	a7dc4456e20e915fec46d774b690e305
Patch0:		%{name}-curl.patch
Patch1:		%{name}-gcc47.patch
Patch2:		%{name}-clucene2.patch
URL:		http://www.crosswire.org/sword
BuildRequires:	pakchois-devel
BuildRequires:	pkgconfig
BuildRequires:	sqlite3-devel
BuildRequires:	xulrunner-devel >= 1.9.2.3
%{?with_clucene:BuildRequires:	clucene-core-devel}
%{?with_clucene:Requires:	clucene-core}
%{?with_curl:BuildRequires:	curl-devel}
%{?with_curl:Requires:	curl}
%{?with_icu:BuildRequires:	icu}
%{?with_icu:BuildRequires:	libicu-devel}
%{?with_icu:Requires:	icu}
#%{?with_icusword:BuildRequires:	icu-sword}
#%{?with_icusword:Requires:	icu-sword}
Requires:	xulrunner >= 1.9.2.3
Requires:	zlib
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The SWORD Project creats cross-platform open-source tools that allow
programmers and Bible societies to write new Bible software more
quickly and easily. The SWORD Bible Framework allows easy manipulation
of Bible texts, commentaries, lexicons, dictionaries, etc. Many
frontends are built using this framework. An installed module set may
be shared between any frontend using the framework.

%package utilities
Summary:	Utility programs that use the sword libraries
Group:		Applications
Requires:	%{name} = %{version}-%{release}
Provides:	diatheke

%description utilities
Utility programs that use the sword libraries.

%package devel
Summary:	Include files and static libraries for developing sword applications
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	curl-devel >= 7.10.5
Requires:	zlib-devel

%description devel
Include files and static libraries for developing sword applications.
This package is required to compile Sword frontends, too.

%prep
%setup -q
%if %{with_curl}
%patch0 -p0
%endif
%patch1 -p0
%patch2 -p1

%build
%{configure} \
	--with-conf \
	--with%{!?with_clucene:out}-clucene \
	--with%{!?with_curl:out}-curl \
	--with%{!?with_icu:out}-icu \
	--disable-debug \
	--disable-dependency-tracking \
	--disable-examples \
	--disable-tests \
	--%{?with_utilities:en}%{!?with_utilities:dis}able-utilities \
	#--with%{!?with_icusword:out}-icusword \

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install-strip \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} install_config \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}/sword
exit 0

%post devel -p /sbin/ldconfig

%postun devel -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%config %{_sysconfdir}/sword.conf
%dir %{_datadir}/sword
%dir %{_datadir}/sword/mods.d
%dir %{_datadir}/sword/locales.d
%config %{_datadir}/sword/mods.d/globals.conf
%config %{_datadir}/sword/locales.d/*.conf
%doc README AUTHORS NEWS INSTALL
%attr(755,root,root) %{_libdir}/libsword*.so*
%dir %{_libdir}/sword
%dir %{_libdir}/sword/*icu*
%{_libdir}/sword/*/*.res

%files utilities
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%files devel
%defattr(644,root,root,755)
%doc doc/*
%{_pkgconfigdir}/sword.pc
%{_includedir}/sword
%{_libdir}/libsword*.*a

%clean
rm -rf $RPM_BUILD_ROOT
%changelog
* Fri Aug 10 2012 Jan Rękorajski <baggins@pld-linux.org> a8e5c9f
Fix building with gcc 4.7 and new clucene
Release 7

* Fri Dec 02 2011 Caleb Maclennan <caleb@alerque.com> b4a0907
- Adapterized, updated description

* Sun Oct 09 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 51a0367
- release 6

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0ac19ea
- release 5

* Wed Aug 03 2011 Jan Rękorajski <baggins@pld-linux.org> ea49ad8
- release 4

* Wed Jun 22 2011 Caleb Maclennan <caleb@alerque.com> f83c9fd
- BR: pakchois-devel, sqlite3-devel

* Sun Mar 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d54684a
- release 3

* Sat Feb 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 576c2a5
- release 2

* Sun Feb 06 2011 sparky <sparky@pld-linux.org> e937b4c
- bconds should be the very first thing, moved defines and includes after them

* Sat Oct 23 2010 Caleb Maclennan <caleb@alerque.com> 21c6568
- Up to 1.6.2

* Thu Jun 03 2010 Caleb Maclennan <caleb@alerque.com> 0d9362b
- Rel 1, STBR

* Thu Jun 03 2010 Caleb Maclennan <caleb@alerque.com> 0879d3a
- R: xulrunner, BR: xulrunner-devel. Versions less than 1.9.2.3 sometimes render blank screens.

* Thu Jun 03 2010 Caleb Maclennan <caleb@alerque.com> 20289b0
- Disable tests and examples, not installed anyway.

* Sat May 22 2010 Caleb Maclennan <caleb@alerque.com> 8f244d3
- BR: libicu-devel

* Sat May 22 2010 Caleb Maclennan <caleb@alerque.com> 7b6a854
- Added BR per suggestion by sparky, icu-devel does not exist

* Fri May 21 2010 Caleb Maclennan <caleb@alerque.com> a8871ad
- Reset to non-integer release, not done tinkering yet

* Fri May 21 2010 Caleb Maclennan <caleb@alerque.com> 1a93d10
- Added patch to workaround bug in curl 7.20. Should be included upstream in 1.6.2 when it comes out.

* Fri May 21 2010 Caleb Maclennan <caleb@alerque.com> 2637a48
- Subpackaged utilities
- Added bconds for curl, clucene, icu
- Fixed missing dirs in base package
- Release 2

* Thu May 20 2010 Caleb Maclennan <caleb@alerque.com> 9e8d9d2
- Initial add (nfy)

